Public Member Functions

# OGRCurve Class Reference

`#include <ogr_geometry.h>`

Inheritance diagram for OGRCurve:

List of all members.

## Public Member Functions
virtual double | get_Length () const =0
| Returns the length of the curve.
virtual void | StartPoint (OGRPoint *) const =0
| Return the curve start point.
virtual void | EndPoint (OGRPoint *) const =0
| Return the curve end point.
virtual int | get_IsClosed () const
| Return TRUE if curve is closed.
virtual void | Value (double, OGRPoint *) const =0
| Fetch point at given distance along curve.

## Detailed Description

Abstract curve base class.

## Member Function Documentation

void OGRCurve::EndPoint | ( | OGRPoint * | poPoint | ) | const`[pure virtual]`

Return the curve end point.

This method relates to the SF COM ICurve::get_EndPoint() method.

Parameters:

  | poPoint | the point to be assigned the end location.

Implemented in OGRLineString.

Referenced by get_IsClosed().

int OGRCurve::get_IsClosed | ( |  | ) | const`[virtual]`

Return TRUE if curve is closed.

Tests if a curve is closed. A curve is closed if its start point is equal to its end point.

This method relates to the SFCOM ICurve::get_IsClosed() method.

Returns:
  TRUE if closed, else FALSE.

References EndPoint(), OGRPoint::getX(), OGRPoint::getY(), and StartPoint().

double OGRCurve::get_Length | ( |  | ) | const`[pure virtual]`

Returns the length of the curve.

This method relates to the SFCOM ICurve::get_Length() method.

Returns:
  the length of the curve, zero if the curve hasn't been initialized.

Implemented in OGRLineString.

void OGRCurve::StartPoint | ( | OGRPoint * | poPoint | ) | const`[pure virtual]`

Return the curve start point.

This method relates to the SF COM ICurve::get_StartPoint() method.

Parameters:

  | poPoint | the point to be assigned the start location.

Implemented in OGRLineString.

Referenced by get_IsClosed().

void OGRCurve::Value | ( | double | dfDistance,
|  | OGRPoint * | poPoint |
| ) |  |  | const`[pure virtual]`

Fetch point at given distance along curve.

This method relates to the SF COM ICurve::get_Value() method.

Parameters:

  | dfDistance | distance along the curve at which to sample position. This distance should be between zero and get_Length() for this curve.
  | poPoint | the point to be assigned the curve position.

Implemented in OGRLineString.

The documentation for this class was generated from the following files:

- ogr_geometry.h
- ogrcurve.cpp

Generated for GDAL by 1.7.1.